Module Prn_Common
    Public Function Get_SavePatternString(ByVal 저장대상 As String, ByVal pc As Boolean, ByVal cp As String, ByVal pl As Boolean, ByVal pstr As String, ByVal plen As Short, _
    ByVal pchr As String) As System.Text.StringBuilder

        If pc Then cp = "[문자패턴]"
        If pl Then cp &= "[길이패턴]"
        If cp = "" Then cp = "[패턴없음]"

        Dim Msg As New System.Text.StringBuilder("(" & 저장대상 & ")" & " 패턴을 저장합니다")
        '//문자패턴이 적용되어있다면 문자패턴으로 적용할 것을 궎장하며 그렇지 않은 경우에는 길이패턴이나 문자패턴을 적절히 권장한다.
        '//길이가 5자리이하이고 특수문자(-,;)등이 없는경우에 길이패턴 적용을 권유한다.
        Msg.AppendLine()
        Msg.AppendLine("패턴 저장방법에는 길이,문자가 있습니다")
        Msg.AppendLine("패턴우선순위 : 문자패턴 -> 길이패턴")
        Msg.AppendLine()
        Msg.AppendLine("현재적용된 패턴 : " & cp)

        If pc Then
            Msg.AppendLine()
            Msg.AppendLine(">> 현재 문자패턴이 적용되어있습니다" & vbCrLf & ">> 문자패턴은 가장우선되는 패턴방식입니다")
            Msg.AppendLine(">> 저장시에는 [문자패턴]으로 저장하시기 바랍니다.")
            Msg.AppendLine(">> [길이패턴]으로 저장하는것은 의미가 없습니다")
        ElseIf pl Then
            Msg.AppendLine()
            Msg.AppendLine(">> 현재 길이패턴이 적용되어있습니다" & vbCrLf & ">> 패턴은 길이,문자 둘다 저장이 가능합니다")
        Else
            Msg.AppendLine()
            Msg.AppendLine(">> 적용된 패턴이없습니다")
            Msg.AppendLine(">> 문자수(길이)가 적은 문자의경우 [길이패턴] 저장을 권장합니다")
        End If
        Msg.AppendLine()
        Msg.AppendLine("길이패턴이란? (문자의 길이가 같을떄 적용)")
        Msg.AppendLine("   선택된문자는 " & pstr & " 이며 길이는 = " & plen & " 입니다")
        Msg.AppendLine("   저장을 하면 " & 저장대상 & " 의 길이가 " & plen & vbCrLf & "   인 문자가 오면 패턴이 적용됩니다")

        Msg.AppendLine()
        Msg.AppendLine("문자패턴이란? (같은 형태의 문자일때 적용)")
        Msg.AppendLine("   선택된문자는 " & pstr & " 이며 형태는 = " & pchr & " 입니다")
        Msg.AppendLine("   저장을 하면 " & 저장대상 & " 의 형태가 " & pchr & vbCrLf & "   인 문자가 오면 패턴이 적용됩니다")
        Msg.AppendLine("   * 1=숫자,0=알파벳문자,H=한글문자,;=특수문자(;),-=특수문자(-)")

        Msg.AppendLine()
        Msg.AppendLine("패턴우선순위란? (패턴이 중복적용되었을때 높은우선순위가 적용)")
        Msg.AppendLine("   길이,문자 패턴이 둘다 적용되어있을경우 우선순위가 높은")
        Msg.AppendLine("   문자패턴이 최종적으로 적용이 됩니다.(길이패턴은 무시됨)")

        Msg.AppendLine()
        Msg.AppendLine("# 길이패턴으로 저장하시겠습니까?")
        Msg.AppendLine("# 예) 길이저장 , 아니오) 문자저장 , 취소) 취소")
        If pc Then Msg.AppendLine("# 문자패턴이 적용되었으므로 [길이패턴] 저장은 의미가 없습니다")

        Return Msg

    End Function
   
   

End Module
